# Tile request

{% hint style="warning" %}

### API test authentication

The Open API block allows you to test OS APIs directly from the page with example data and parameters. To use this feature, you will need to add your API Key or OAuth2 token to the authentication field.

For help generating an API Key or OAuth2 token, please see the [Getting started with an API project](https://docs.os.uk/os-apis/core-concepts/getting-started-with-an-api-project) or [OAuth2 documentation](https://docs.os.uk/os-apis/accessing-os-apis/oauth-2-api).
{% endhint %}

## GET /vts/tile/{z}/{y}/{x}.pbf

> Access and download data for a specific tile

```json
{"openapi":"3.0.1","info":{"title":"OS Vector Tiles API","version":"v1.0"},"tags":[{"name":"Tile Request","description":"Access and download data for a specific tile"}],"servers":[{"url":"https://api.os.uk/maps/vector/v1"}],"security":[{"api-key":[],"api-key-header":[],"oauth2":[]}],"components":{"securitySchemes":{"api-key":{"type":"apiKey","name":"key","in":"query"}}},"paths":{"/vts/tile/{z}/{y}/{x}.pbf":{"get":{"tags":["Tile Request"],"summary":"Access and download data for a specific tile","operationId":"getTileData","parameters":[{"name":"z","in":"path","description":"Zoom level","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"y","in":"path","description":"Y coordinate","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"x","in":"path","description":"X coordinate","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"srs","in":"query","description":"The Spatial Reference System for the service.","required":false,"schema":{"type":"string","default":"27700","enum":["27700","3857"]}}],"responses":{"200":{"description":"Tile data retrieved successfully","content":{"application/octet-stream":{"schema":{"type":"string","format":"binary"}}}}}}}}}
```

## GET /vts/{layer-name}/tile/{z}/{y}/{x}.pbf

> Access and download data for a specific tile from a data overlay

```json
{"openapi":"3.0.1","info":{"title":"OS Vector Tiles API","version":"v1.0"},"tags":[{"name":"Tile Request","description":"Access and download data for a specific tile"}],"servers":[{"url":"https://api.os.uk/maps/vector/v1"}],"security":[{"api-key":[],"api-key-header":[],"oauth2":[]}],"components":{"securitySchemes":{"api-key":{"type":"apiKey","name":"key","in":"query"}}},"paths":{"/vts/{layer-name}/tile/{z}/{y}/{x}.pbf":{"get":{"tags":["Tile Request"],"summary":"Access and download data for a specific tile from a data overlay","operationId":"getOverlayTileData","parameters":[{"name":"layer-name","in":"path","description":"The name of the data overlay.","required":true,"schema":{"type":"string","enum":["boundaries","greenspace","sites","water","highways","paths"]}},{"name":"z","in":"path","description":"Zoom level","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"y","in":"path","description":"Y coordinate","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"x","in":"path","description":"X coordinate","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"srs","in":"query","description":"The Spatial Reference System for the service.","schema":{"type":"string","default":"27700","enum":["27700","3857"]}}],"responses":{"200":{"description":"Tile data retrieved successfully","content":{"application/octet-stream":{"schema":{"type":"string","format":"binary"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.os.uk/os-apis/accessing-os-apis/os-vector-tile-api/technical-specification/tile-request.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
